Show / Hide Table of Contents

# Class Scenario.ScenarioCategory

Defines the category names used to catagorize a Scenario

##### Inheritance

System.Object
Scenario.ScenarioCategory

###### Namespace: UICatalog

###### Assembly: UICatalog.dll

##### Syntax

    public class ScenarioCategory : System.Attribute

### Constructors

#### ScenarioCategory(String)

##### Declaration

    public ScenarioCategory(string Name)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | Name |

### Properties

#### Name

Category Name

##### Declaration

    public string Name { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

### Methods

#### GetCategories(Type)

Static helper function to get the Scenario Categories given a Type

##### Declaration

    public static List<string> GetCategories(Type t)

##### Parameters

Type | Name | Description
--- | --- | ---
Type | t |

##### Returns

Type | Description
--- | ---
List<System.String> | list of category names

#### GetName(Type)

Static helper function to get the Scenario Name given a Type

##### Declaration

    public static string GetName(Type t)

##### Parameters

Type | Name | Description
--- | --- | ---
Type | t |

##### Returns

Type | Description
--- | ---
System.String | Name of the category